#include "App.hh"
#include "Math.hh"

#include <iostream>

using namespace std;

int main(int argc, char const *argv[])
{
    // App::App* app = new App::App();
    // return app->getReturnCode();
    Vector2 v1(1, 1.5);
    Vector2 v2(3, -2);
    Vector2 res = v1 + v2;
    cout << res.x << ", " << res.y << endl;
    res = v1 - v2;
    cout << res.x << ", " << res.y << endl;
    res = v1 * v2;
    cout << res.x << ", " << res.y << endl;
    res = v1 / v2;
    cout << res.x << ", " << res.y << endl;

    return 0;
}
